#!/bin/sh

if ! [ -x /usr/bin/unrar ]; then
  echo "Error: unrar not found!"
  exit 1;
fi

if ! [ -x /usr/bin/convert ]; then
  echo "Error: convert - imagemagick not found"
  exit 1;
fi


wget http://www.reelbox4you.tv/wbb2/filebase_redirect.php?fid=516

mv filebase_redirect.php?fid=516 reellogos.rar

mkdir reellogos_orig
mkdir reellogosconv

mkdir reellogos64

unrar e -y reellogos.rar reellogos_orig/

cd reellogos_orig

convert -size 80x78 xc:white white.png


cat ../logo2scale.txt |\
while read pic; do

  file2scale=`basename "$pic" .png`
  echo "scaling $file2scale"

  mogrify -geometry 80x60! "$pic"
  convert    -draw "image SrcOver 0,9 80,60 {$pic}"  white.png ../reellogosconv/"$file2scale.xpm"
done


 
for i in *.png; do
 
 file2convert=`basename "$i" .png`
 
 grep "$i" ../logo2scale.txt > /dev/null
 
  if  [ $? -eq 1 ]; then
    echo "converting $file2convert"
    convert "$file2convert.png" ../reellogosconv/"$file2convert.xpm"
  fi
 
done

cd ../reellogosconv

for n in *.xpm; do
  echo "reducing $n"
  convert -geometry 53x52! -depth 8 -colors 64 "$n" ../reellogos64/"$n"
done  
  
 rm -r reellogosconv/ reellogos_orig/ 

exit 0


